package com.steering.mes.mcp.entity;

/**
 * 数据库表PLN_ZY_RCL_M所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2016-11-24
 */
@SuppressWarnings("serial")
public class HttPlan implements java.io.Serializable {
    /**
     * 炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 热处理生产批次号
     */
    private String zyBatchId = "";
    /**
     * 批次生产序号
     */
    private String prodIndex = "";
    /**
     * 热处理订单编号
     */
    private String proPlanId = "";
    /**
     * 订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 上工序名称
     */
    private String gxNameLast = "";
    /**
     * 上工序炉批计划ID
     */
    private String lastHeatPlanNo = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 是否末工序（末工序时合同成品属性有效）
     */
    private String isendgx = "";
    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     */
    private String orderSource = "";
    /**
     * 主交货编码PK
     */
    private String ordLnDlyPk = "";
    /**
     * 主合同号
     */
    private String orderNo = "";
    /**
     * 主合同行号
     */
    private String orderSeq = "";
    /**
     * 主交货编码
     */
    private String deliveryNo = "";
    /**
     * 主备料需求号
     */
    private String reqBlId = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 成品外径
     */
    private String outdiameter = "";
    /**
     * 成品壁厚
     */
    private String wallthick = "";
    /**
     * 合同长度描述
     */
    private String lengthdisc = "";
    /**
     * 成品最小长度
     */
    private String cpLengthmin = "";
    /**
     * 成品最大长度
     */
    private String cpLengthmax = "";
    /**
     * 原料管外径
     */
    private String outdiameterIn = "";
    /**
     * 原料管壁厚
     */
    private String wallthickIn = "";
    /**
     * 原料管长度
     */
    private String lengthIn = "";
    /**
     * 原料管最大长度
     */
    private String lengthmaxIn = "";
    /**
     * 原料管最小长度
     */
    private String lengthminIn = "";
    /**
     * 工序目标长度
     */
    private String lengthOut = "";
    /**
     * 投入物料编码
     */
    private String inwlId = "";
    /**
     * 投入物料描述
     */
    private String inwlDesc = "";
    /**
     * 计划投入重量
     */
    private String inWt = "";
    /**
     * 计划投入支数
     */
    private String inNum = "";
    /**
     * 是否挂料确定
     */
    private String ifWlMatched = "";
    /**
     * 产出物料编码
     */
    private String outwlId = "";
    /**
     * 产出物料描述
     */
    private String outwlDesc = "";
    /**
     * 计划产出重量
     */
    private String outWt = "";
    /**
     * 计划产出支数
     */
    private String outNum = "";
    /**
     * 是否热处理监制
     */
    private String ifMonitorRcl = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 本工序监制点
     */
    private String monitorPoint = "";
    /**
     * 工艺文件号
     */
    private String craftFileNo = "";
    /**
     * 工艺文件责任人
     */
    private String craftFileMan = "";
    /**
     * 工艺序号
     */
    private String craftSeq = "";
    /**
     * 本工序点路径
     */
    private String stationRoad = "";
    /**
     * 计划状态（0计划，1下发，2生产中，3生产完成）
     */
    private String planstatus = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 实际投入重量
     */
    private String inWtReal = "";
    /**
     * 实际投入支数
     */
    private String inNumReal = "";
    /**
     * 实际产出重量
     */
    private String outWtReal = "";
    /**
     * 实际产出支数
     */
    private String outNumReal = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";

    /**
     * 炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 热处理生产批次号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 热处理生产批次号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 批次生产序号
     * @return value
     */
    public String getProdIndex() {
        return prodIndex;
    }

    /**
     * 批次生产序号
     * @param prodIndex value
     */
    public void setProdIndex(String prodIndex) {
        this.prodIndex = prodIndex;
    }

    /**
     * 热处理订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 热处理订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 上工序名称
     * @return value
     */
    public String getGxNameLast() {
        return gxNameLast;
    }

    /**
     * 上工序名称
     * @param gxNameLast value
     */
    public void setGxNameLast(String gxNameLast) {
        this.gxNameLast = gxNameLast;
    }

    /**
     * 上工序炉批计划ID
     * @return value
     */
    public String getLastHeatPlanNo() {
        return lastHeatPlanNo;
    }

    /**
     * 上工序炉批计划ID
     * @param lastHeatPlanNo value
     */
    public void setLastHeatPlanNo(String lastHeatPlanNo) {
        this.lastHeatPlanNo = lastHeatPlanNo;
    }


    public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getJudgeStoveNo() {
		return judgeStoveNo;
	}

	public void setJudgeStoveNo(String judgeStoveNo) {
		this.judgeStoveNo = judgeStoveNo;
	}

	/**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @return value
     */
    public String getIsendgx() {
        return isendgx;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @param isendgx value
     */
    public void setIsendgx(String isendgx) {
        this.isendgx = isendgx;
    }

    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     * @return value
     */
    public String getOrderSource() {
        return orderSource;
    }

    /**
     * 主合同来源（销售合同、备料需求、补量需求）
     * @param orderSource value
     */
    public void setOrderSource(String orderSource) {
        this.orderSource = orderSource;
    }

    /**
     * 主交货编码PK
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 主交货编码PK
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 主合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 主合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 主合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 主合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 主交货编码
     * @return value
     */
    public String getDeliveryNo() {
        return deliveryNo;
    }

    /**
     * 主交货编码
     * @param deliveryNo value
     */
    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    /**
     * 主备料需求号
     * @return value
     */
    public String getReqBlId() {
        return reqBlId;
    }

    /**
     * 主备料需求号
     * @param reqBlId value
     */
    public void setReqBlId(String reqBlId) {
        this.reqBlId = reqBlId;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 成品外径
     * @return value
     */
    public String getOutdiameter() {
        return outdiameter;
    }

    /**
     * 成品外径
     * @param outdiameter value
     */
    public void setOutdiameter(String outdiameter) {
        this.outdiameter = outdiameter;
    }

    /**
     * 成品壁厚
     * @return value
     */
    public String getWallthick() {
        return wallthick;
    }

    /**
     * 成品壁厚
     * @param wallthick value
     */
    public void setWallthick(String wallthick) {
        this.wallthick = wallthick;
    }

    /**
     * 合同长度描述
     * @return value
     */
    public String getLengthdisc() {
        return lengthdisc;
    }

    /**
     * 合同长度描述
     * @param lengthdisc value
     */
    public void setLengthdisc(String lengthdisc) {
        this.lengthdisc = lengthdisc;
    }

    /**
     * 成品最小长度
     * @return value
     */
    public String getCpLengthmin() {
        return cpLengthmin;
    }

    /**
     * 成品最小长度
     * @param cpLengthmin value
     */
    public void setCpLengthmin(String cpLengthmin) {
        this.cpLengthmin = cpLengthmin;
    }

    /**
     * 成品最大长度
     * @return value
     */
    public String getCpLengthmax() {
        return cpLengthmax;
    }

    /**
     * 成品最大长度
     * @param cpLengthmax value
     */
    public void setCpLengthmax(String cpLengthmax) {
        this.cpLengthmax = cpLengthmax;
    }

    /**
     * 原料管外径
     * @return value
     */
    public String getOutdiameterIn() {
        return outdiameterIn;
    }

    /**
     * 原料管外径
     * @param outdiameterIn value
     */
    public void setOutdiameterIn(String outdiameterIn) {
        this.outdiameterIn = outdiameterIn;
    }

    /**
     * 原料管壁厚
     * @return value
     */
    public String getWallthickIn() {
        return wallthickIn;
    }

    /**
     * 原料管壁厚
     * @param wallthickIn value
     */
    public void setWallthickIn(String wallthickIn) {
        this.wallthickIn = wallthickIn;
    }

    /**
     * 原料管长度
     * @return value
     */
    public String getLengthIn() {
        return lengthIn;
    }

    /**
     * 原料管长度
     * @param lengthIn value
     */
    public void setLengthIn(String lengthIn) {
        this.lengthIn = lengthIn;
    }

    /**
     * 原料管最大长度
     * @return value
     */
    public String getLengthmaxIn() {
        return lengthmaxIn;
    }

    /**
     * 原料管最大长度
     * @param lengthmaxIn value
     */
    public void setLengthmaxIn(String lengthmaxIn) {
        this.lengthmaxIn = lengthmaxIn;
    }

    /**
     * 原料管最小长度
     * @return value
     */
    public String getLengthminIn() {
        return lengthminIn;
    }

    /**
     * 原料管最小长度
     * @param lengthminIn value
     */
    public void setLengthminIn(String lengthminIn) {
        this.lengthminIn = lengthminIn;
    }

    /**
     * 工序目标长度
     * @return value
     */
    public String getLengthOut() {
        return lengthOut;
    }

    /**
     * 工序目标长度
     * @param lengthOut value
     */
    public void setLengthOut(String lengthOut) {
        this.lengthOut = lengthOut;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getInwlId() {
        return inwlId;
    }

    /**
     * 投入物料编码
     * @param inwlId value
     */
    public void setInwlId(String inwlId) {
        this.inwlId = inwlId;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getInwlDesc() {
        return inwlDesc;
    }

    /**
     * 投入物料描述
     * @param inwlDesc value
     */
    public void setInwlDesc(String inwlDesc) {
        this.inwlDesc = inwlDesc;
    }

    /**
     * 计划投入重量
     * @return value
     */
    public String getInWt() {
        return inWt;
    }

    /**
     * 计划投入重量
     * @param inWt value
     */
    public void setInWt(String inWt) {
        this.inWt = inWt;
    }

    /**
     * 计划投入支数
     * @return value
     */
    public String getInNum() {
        return inNum;
    }

    /**
     * 计划投入支数
     * @param inNum value
     */
    public void setInNum(String inNum) {
        this.inNum = inNum;
    }

    /**
     * 是否挂料确定
     * @return value
     */
    public String getIfWlMatched() {
        return ifWlMatched;
    }

    /**
     * 是否挂料确定
     * @param ifWlMatched value
     */
    public void setIfWlMatched(String ifWlMatched) {
        this.ifWlMatched = ifWlMatched;
    }

    /**
     * 产出物料编码
     * @return value
     */
    public String getOutwlId() {
        return outwlId;
    }

    /**
     * 产出物料编码
     * @param outwlId value
     */
    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    /**
     * 产出物料描述
     * @return value
     */
    public String getOutwlDesc() {
        return outwlDesc;
    }

    /**
     * 产出物料描述
     * @param outwlDesc value
     */
    public void setOutwlDesc(String outwlDesc) {
        this.outwlDesc = outwlDesc;
    }

    /**
     * 计划产出重量
     * @return value
     */
    public String getOutWt() {
        return outWt;
    }

    /**
     * 计划产出重量
     * @param outWt value
     */
    public void setOutWt(String outWt) {
        this.outWt = outWt;
    }

    /**
     * 计划产出支数
     * @return value
     */
    public String getOutNum() {
        return outNum;
    }

    /**
     * 计划产出支数
     * @param outNum value
     */
    public void setOutNum(String outNum) {
        this.outNum = outNum;
    }

    /**
     * 是否热处理监制
     * @return value
     */
    public String getIfMonitorRcl() {
        return ifMonitorRcl;
    }

    /**
     * 是否热处理监制
     * @param ifMonitorRcl value
     */
    public void setIfMonitorRcl(String ifMonitorRcl) {
        this.ifMonitorRcl = ifMonitorRcl;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 本工序监制点
     * @return value
     */
    public String getMonitorPoint() {
        return monitorPoint;
    }

    /**
     * 本工序监制点
     * @param monitorPoint value
     */
    public void setMonitorPoint(String monitorPoint) {
        this.monitorPoint = monitorPoint;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCraftFileNo() {
        return craftFileNo;
    }

    /**
     * 工艺文件号
     * @param craftFileNo value
     */
    public void setCraftFileNo(String craftFileNo) {
        this.craftFileNo = craftFileNo;
    }

    /**
     * 工艺文件责任人
     * @return value
     */
    public String getCraftFileMan() {
        return craftFileMan;
    }

    /**
     * 工艺文件责任人
     * @param craftFileMan value
     */
    public void setCraftFileMan(String craftFileMan) {
        this.craftFileMan = craftFileMan;
    }

    /**
     * 工艺序号
     * @return value
     */
    public String getCraftSeq() {
        return craftSeq;
    }

    /**
     * 工艺序号
     * @param craftSeq value
     */
    public void setCraftSeq(String craftSeq) {
        this.craftSeq = craftSeq;
    }

    /**
     * 本工序点路径
     * @return value
     */
    public String getStationRoad() {
        return stationRoad;
    }

    /**
     * 本工序点路径
     * @param stationRoad value
     */
    public void setStationRoad(String stationRoad) {
        this.stationRoad = stationRoad;
    }

    /**
     * 计划状态（0计划，1下发，2生产中，3生产完成）
     * @return value
     */
    public String getPlanstatus() {
        return planstatus;
    }

    /**
     * 计划状态（0计划，1下发，2生产中，3生产完成）
     * @param planstatus value
     */
    public void setPlanstatus(String planstatus) {
        this.planstatus = planstatus;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 实际投入重量
     * @return value
     */
    public String getInWtReal() {
        return inWtReal;
    }

    /**
     * 实际投入重量
     * @param inWtReal value
     */
    public void setInWtReal(String inWtReal) {
        this.inWtReal = inWtReal;
    }

    /**
     * 实际投入支数
     * @return value
     */
    public String getInNumReal() {
        return inNumReal;
    }

    /**
     * 实际投入支数
     * @param inNumReal value
     */
    public void setInNumReal(String inNumReal) {
        this.inNumReal = inNumReal;
    }

    /**
     * 实际产出重量
     * @return value
     */
    public String getOutWtReal() {
        return outWtReal;
    }

    /**
     * 实际产出重量
     * @param outWtReal value
     */
    public void setOutWtReal(String outWtReal) {
        this.outWtReal = outWtReal;
    }

    /**
     * 实际产出支数
     * @return value
     */
    public String getOutNumReal() {
        return outNumReal;
    }

    /**
     * 实际产出支数
     * @param outNumReal value
     */
    public void setOutNumReal(String outNumReal) {
        this.outNumReal = outNumReal;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }
}